package com.yd.api.customer.vo;

import java.math.BigDecimal;
import java.util.Date;

public class CustomerFortuneVO {
    private Long id;

    private Long shareId;

    private Long customerId;

    private Long orderId;

    private Date orderDate;

    private BigDecimal orderPrice;

    private BigDecimal referralRate;

    private BigDecimal referralAmount;

    private Integer isTax;

    private BigDecimal taxAmount;

    private BigDecimal netAmount;

    private Long campaignId;

    private Date withdrawableDate;

    private Long withdrawedId;

    private Long fortunePayedId;

    private Date createdAt;

    private Long createdBy;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getShareId() {
        return shareId;
    }

    public void setShareId(Long shareId) {
        this.shareId = shareId;
    }

    public Long getCustomerId() {
        return customerId;
    }

    public void setCustomerId(Long customerId) {
        this.customerId = customerId;
    }

    public Long getOrderId() {
        return orderId;
    }

    public void setOrderId(Long orderId) {
        this.orderId = orderId;
    }

    public Date getOrderDate() {
        return orderDate;
    }

    public void setOrderDate(Date orderDate) {
        this.orderDate = orderDate;
    }

    public BigDecimal getOrderPrice() {
        return orderPrice;
    }

    public void setOrderPrice(BigDecimal orderPrice) {
        this.orderPrice = orderPrice;
    }

    public BigDecimal getReferralRate() {
        return referralRate;
    }

    public void setReferralRate(BigDecimal referralRate) {
        this.referralRate = referralRate;
    }

    public BigDecimal getReferralAmount() {
        return referralAmount;
    }

    public void setReferralAmount(BigDecimal referralAmount) {
        this.referralAmount = referralAmount;
    }

    public Integer getIsTax() {
        return isTax;
    }

    public void setIsTax(Integer isTax) {
        this.isTax = isTax;
    }

    public BigDecimal getTaxAmount() {
        return taxAmount;
    }

    public void setTaxAmount(BigDecimal taxAmount) {
        this.taxAmount = taxAmount;
    }

    public BigDecimal getNetAmount() {
        return netAmount;
    }

    public void setNetAmount(BigDecimal netAmount) {
        this.netAmount = netAmount;
    }

    public Long getCampaignId() {
        return campaignId;
    }

    public void setCampaignId(Long campaignId) {
        this.campaignId = campaignId;
    }

    public Date getWithdrawableDate() {
        return withdrawableDate;
    }

    public void setWithdrawableDate(Date withdrawableDate) {
        this.withdrawableDate = withdrawableDate;
    }

    public Long getWithdrawedId() {
        return withdrawedId;
    }

    public void setWithdrawedId(Long withdrawedId) {
        this.withdrawedId = withdrawedId;
    }

    public Long getFortunePayedId() {
        return fortunePayedId;
    }

    public void setFortunePayedId(Long fortunePayedId) {
        this.fortunePayedId = fortunePayedId;
    }

    public Date getCreatedAt() {
        return createdAt;
    }

    public void setCreatedAt(Date createdAt) {
        this.createdAt = createdAt;
    }

    public Long getCreatedBy() {
        return createdBy;
    }

    public void setCreatedBy(Long createdBy) {
        this.createdBy = createdBy;
    }
}
